# ezQuake Manual: Demos Variables

- Demo Handling
- Match Tools
- MultiView Demos

## Demo Handling Variables

### cl_demoPingInterval

#### Description

How often to request ping updates when recording demos. This variable doesn't affect ping updates when the scoreboard is shown (they are always one update per 2 seconds).

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 5

#### Values

value | description
0 | Disable automatic ping requests.

### cl_demospeed

#### Description

Controls the speed of demo playback in percentage (can be changed during demo playback if you wish).

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### demo_autotrack

#### Description

Enables server-side autotrack to be accepted

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 |
0 |

Server-side autotrack is recorded in MVD demos and in QTV stream allowing all the observers of the match observe the same player at the same time

### demo_benchmarkdumps

#### Description

Allows you to automatically dump timedemo benchmark results into $log_dir/timedemo.log file. The output is in XML markup format and contains info about your operating system, hardware configuration, client version, rendering, screen resolution and the result FPS.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | Dump results of timedemo benchmark
0 | Disable timedemo result dumping

See timedemo command description for more info. Note: The result file is not a well-formed XML file.

### demo_browser_democolor

#### Description

Color of the demo entries in the demo browser

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 255 255 255 255

Variable is string.

### demo_browser_dircolor

#### Description

Color of the dir entries in the demo browser

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 170 80 0 255

Variable is string.

### demo_browser_interline

#### Description

Size of the space between entries in the demo browser

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is integer.

### demo_browser_scrollnames

#### Description

Toggle scrolling of the filenames in the demo browser

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 |
0 |

### demo_browser_selectedcolor

#### Description

Color of the selected entries in the demo browser

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0 150 235 255

Variable is string.

### demo_browser_showdate

#### Description

Toggle the date column in the demo browser

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 |
0 |

### demo_browser_showsize

#### Description

Toggle the file size column in the demo browser

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 |
0 |

### demo_browser_showstatus

#### Description

Toggle the display of the status bar in the demo browser

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 |
0 |

### demo_browser_showtime

#### Description

Toggle the time column in the demo browser

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 |
0 |

### demo_browser_sortmode

#### Description

Sorting mode in the demo browser. Each number represents one column. Their order represents the priority of the sorting.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is string.

### demo_browser_stripnames

#### Description

Toggle stripping of the filenames in the demo browser

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 |
0 |

### demo_browser_zipcolor

#### Description

Color of the zip entries in the demo browser

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 255 170 0 255

Variable is string.

### demo_capture_codec

#### Description

Determines what codes should be used for captured video stream compression. E.g. XVID, DIVX, ...

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### demo_capture_dir

#### Description

Change the default capture directory.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: capture

Variable is float.

### demo_capture_fps

#### Description

Change the default capture fps.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 30.0

Variable is float.

### demo_capture_mp3

#### Description

When set to 1 .avi capturing captures sound compressed in MP3 format.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | Captures sound in MP3 format
0 | Captures uncompressed sound

See demo_capture_mp3_kbps too.

### demo_capture_mp3_kbps

#### Description

Sets bitrate for captured sound stream when demo_capture_mp3 is set to 1.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 128

Variable is float.

### demo_capture_steadycam

#### Description

Changes behaviour of keyboard/mouse input when capturing.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### demo_dir

#### Description

Change the demos and autorecord directory.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is string.

### demo_format

#### Description

Specifies the demo file format used when recording demo with Match tools.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: mvd

#### Values

value | description
qwd | Original QuakeWorld demo format.
qwz | Qizmo compressed demo.
mvd | MultiView Demo, usually contains less frames per second.

See qwdtools_dir, qizmo_dir, match_auto_record.

### demo_getpings

#### Description

This toggles whether the client should always record pings into the demo or only when the player died and show(team)scores are being shown (QWCL default).

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | always update pings
0 | only update pings in the demo when the player died and show(team)scores are being shown

### qizmo_dir

#### Description

Change the default qizmo directory.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: qizmo

Variable is float.

### qwdtools_dir

#### Description

Specifies the qwdtools utility placement

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: qwdtools

Variable is string.
Use path relative to you quakedir

## Match Tools Variables

### match_auto_logconsole

#### Description

When set to 1 or 2, a temp console log will automatically be created when a match starts (usually when the countdown starts).

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
0 | Do not auto-log console.
1 | Auto record console but requires manuall saving. See 'match_save'.
2 | Automatically saves the console log after the match is completed.

### match_auto_minlength

#### Description

When using 'match_auto_record 2', temp demo's auto recorded won't be saved automatically if they are shorter than the number of seconds match_auto_minlength' is set to.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 30

Variable is integer.
number of seconds

If a temp demo is too short to autosave, you can still save it manually with "match_save".

### match_auto_record

#### Description

When set to 1 or 2, a temp demo will automatically be recorded when a match starts (usually when the countdown starts).

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
0 | No auto recording.
1 | Demo will be recorded but requires manuall saving.
2 | Automatically saves the demo after the match is completed.

See 'match_save' for manuall demo saving.

### match_auto_spectating

#### Description

When set to 1, auto recording will also occur when in spectator mode.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | Auto record demos even in spectator mode.
0 | Don't auto record demos in spectator mode.

### match_auto_sshot

#### Description

Set to 1 to automatically take a screenshot of the final scoreboard when a match ends. If your console is down or you are in the menus, then the client will remove the console/menu for a split second so it can take a screenshot of the scoreboard without any interference.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | Take auto screenshot on match end.
0 | Do not take auto screenshot.

### match_format_2on2

#### Description

Each match category has a name format variable associated with it. This variable is called match_format_<category>. For example, there is match_format_duel, match_format_2on2, etc, etc. All these variables can contain macro's that are expanded according to the macro list given below. You can also use the "match_format_macrolist" command inside the client to display a list of the macros and their meaning.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 2on2/%n - [%k%v%l] - [%M]

Variable is string.
This pattern will be used in following situation: (gamedir = "qw", 2 teams with at least 1 team having 2 people)

See 'match_format_macrolist' command and Match tools manual for more info.

### match_format_3on3

#### Description

Each match category has a name format variable associated with it. This variable is called match_format_<category>. For example, there is match_format_duel, match_format_2on2, etc, etc. All these variables can contain macro's that are expanded according to the macro list given below. You can also use the "match_format_macrolist" command inside the client to display a list of the macros and their meaning.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: tdm/%n - [%Oon%E_%t%v%e] - [%M]

Variable is string.
This pattern will be used in following situation: (gamedir = "qw", 2 teams with at least 1 team having 3 people)

See 'match_format_macrolist' command and Match tools manual for more info.

### match_format_4on4

#### Description

Each match category has a name format variable associated with it. This variable is called match_format_<category>. For example, there is match_format_duel, match_format_2on2, etc, etc. All these variables can contain macro's that are expanded according to the macro list given below. You can also use the "match_format_macrolist" command inside the client to display a list of the macros and their meaning.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: tdm/%n - [%Oon%E_%t%v%e] - [%M]

Variable is string.
This pattern will be used in following situation: (gamedir = "qw", 2 teams with at least 1 team having 4 people)

See 'match_format_macrolist' command and Match tools manual for more info.

### match_format_arena

#### Description

Each match category has a name format variable associated with it. This variable is called match_format_<category>. For example, there is match_format_duel, match_format_2on2, etc, etc. All these variables can contain macro's that are expanded according to the macro list given below. You can also use the "match_format_macrolist" command inside the client to display a list of the macros and their meaning.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: arena/%n - %p%v%e - [%F_frags] -

Variable is string.
This pattern will be used in following situation: (gamedir = "arena")

See 'match_format_macrolist' command and Match tools manual for more info.

### match_format_coop

#### Description

Each match category has a name format variable associated with it. This variable is called match_format_<category>. For example, there is match_format_duel, match_format_2on2, etc, etc. All these variables can contain macro's that are expanded according to the macro list given below. You can also use the "match_format_macrolist" command inside the client to display a list of the macros and their meaning.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: coop/%n - [%C_player_coop] - [%M

Variable is string.
This pattern will be used in following situation: (gamedir = "qw", at least 2 people, deathmatch is off)

See 'match_format_macrolist' command and Match tools manual for more info.

### match_format_duel

#### Description

Each match category has a name format variable associated with it. This variable is called match_format_<category>. For example, there is match_format_duel, match_format_2on2, etc, etc. All these variables can contain macro's that are expanded according to the macro list given below. You can also use the "match_format_macrolist" command inside the client to display a list of the macros and their meaning.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: duel/%n - %p%v%e - [dmm%D] - [%M

Variable is string.
This pattern will be used in following situation: (gamedir = "qw", 2 players)

See 'match_format_macrolist' command and Match tools manual for more info.

### match_format_ffa

#### Description

Each match category has a name format variable associated with it. This variable is called match_format_<category>. For example, there is match_format_duel, match_format_2on2, etc, etc. All these variables can contain macro's that are expanded according to the macro list given below. You can also use the "match_format_macrolist" command inside the client to display a list of the macros and their meaning.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: ffa/%n - [%C_player_ffa] - [%M]

Variable is string.
This pattern will be used in following situation: (gamedir = "qw", more than 2 players, teamplay off)

See 'match_format_macrolist' command and Match tools manual for more info.

### match_format_multiteam

#### Description

Each match category has a name format variable associated with it. This variable is called match_format_<category>. For example, there is match_format_duel, match_format_2on2, etc, etc. All these variables can contain macro's that are expanded according to the macro list given below. You can also use the "match_format_macrolist" command inside the client to display a list of the macros and their meaning.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: tdm/%n - [%a_%b] - [%M]

Variable is string.
This pattern will be used in following situation: (gamedir = "qw", 3 or more teams)

See 'match_format_macrolist' command and Match tools manual for more info.

### match_format_race

#### Description

Each match category has a name format variable associated with it. This variable is called match_format_<category>. For example, there is match_format_duel, match_format_2on2, etc, etc. All these variables can contain macro's that are expanded according to the macro list given below. You can also use the "match_format_macrolist" command inside the client to display a list of the macros and their meaning.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: race/%n - [race] - [%M]

Variable is string.
This pattern will be used in following situation: (gamedir = qw, serverinfo "race" key present and equal to mapname)

See 'match_format_macrolist' command and Match tools manual for more info.

### match_format_solo

#### Description

Each match category has a name format variable associated with it. This variable is called match_format_<category>. For example, there is match_format_duel, match_format_2on2, etc, etc. All these variables can contain macro's that are expanded according to the macro list given below. You can also use the "match_format_macrolist" command inside the client to display a list of the macros and their meaning.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: solo/%n - [%M]

Variable is string.
This pattern will be used in following situation: (any gamedir, 1 player on a server, not in race mode)

See 'match_format_macrolist' command and Match tools manual for more info.

### match_format_tdm

#### Description

Each match category has a name format variable associated with it. This variable is called match_format_<category>. For example, there is match_format_duel, match_format_2on2, etc, etc. All these variables can contain macro's that are expanded according to the macro list given below. You can also use the "match_format_macrolist" command inside the client to display a list of the macros and their meaning.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: tdm/%n - [%Oon%E_%t%v%e] - [%M]

Variable is string.
This pattern will be used in following situation: (gamedir = "qw", 2 teams with at least 1 team having 5 people)

See 'match_format_macrolist' command and Match tools manual for more info.

### match_format_tf_clanwar

#### Description

Each match category has a name format variable associated with it. This variable is called match_format_<category>. For example, there is match_format_duel, match_format_2on2, etc, etc. All these variables can contain macro's that are expanded according to the macro list given below. You can also use the "match_format_macrolist" command inside the client to display a list of the macros and their meaning.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: tfwar/%n - [%Oon%E_%t%v%e] - [%M

Variable is string.
This pattern will be used in following situation: (gamedir = "fortress", at least 2 teams)

See 'match_format_macrolist' command and Match tools manual for more info.

### match_format_tf_duel

#### Description

Each match category has a name format variable associated with it. This variable is called match_format_<category>. For example, there is match_format_duel, match_format_2on2, etc, etc. All these variables can contain macro's that are expanded according to the macro list given below. You can also use the "match_format_macrolist" command inside the client to display a list of the macros and their meaning.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: tfduel/%n - %p%v%e [%M]

Variable is string.
This pattern will be used in following situation: (gamedir = "fortress", 2 players)

See 'match_format_macrolist' command and Match tools manual for more info.

### match_name_and

#### Description

Used for separating names in %k and %l.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: _&_

Variable is string.

### match_name_nick

#### Description

%n uses this if its not "", otherwise it uses your in game name.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is string.

See match_format_macrolist.

### match_name_on

#### Description

Used for separating numbers in %a.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: on

Variable is string.

### match_name_spec

#### Description

This is placed after your nick when using %n and are in spec mode. Eg. if you use "match_name_nick foo" and leave match_name_spec default, then %n will be "foo(SPEC)" in spec mode and "foo" when not in spec mode.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: (SPEC)

Variable is string.

See match_format_macrolist.

### match_name_versus

#### Description

Used for separating names in %b.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: _vs_

Variable is string.

## MultiView Demos Variables

### mvd_autohud

#### Description

Will load different Head Up Display settings when watching MultiView Demos.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
0 | Won't do anything
1 | Will load appropriate config according to current match type. Possible types: 1on1, 4on4, custom. Config is like cfg/mvdhud_4on4.cfg
2 | Will always load cfg/mvdhud_custom.cfg

### mvd_autotrack

#### Description

Turns auto-tracking function ON / OFF. This feature can be used while watching MultiView Demo. The client will choose and switch to the best player point of view using appropriate algorithm.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
0 | Off
1 | Autodetect current gametype and use the appropriate xonx settings
2 | Force the use of mvd_autotrack_custom* settings
3 | Enables the use of mvd_multitrack_1 - 4 allowing to set seperate algorthms for every window with cl_muiltiview 2-4
4 | Simple algorithm which prefers pent+rl over quad+rl, quad+rl over pent, quad over noquad, weapon over no weapon player; cannot be customized

You can change the switching algorithm properties using mvd_autotrack_1on1, mvd_autotrack_2on2, etc. variables. The setting no. 4. cannot be customized and is independent on other autotrack client settings, except of mvd_autotrack_lockteam

### mvd_autotrack_1on1

#### Description

Will be used if mvd_autotrack = 1 and a 1on1 game is played. Its an algorythm for selecting the best player.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: %a * %A + 50 * %W + %p + %f

Variable is string.

For a full description read the manual.

### mvd_autotrack_1on1_values

#### Description

Allows you to customize autotrack algoritm. See autotrack manual page for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1 2 3 2 3 5 8 8 1 2 3 0 0 0

Variable is string.

### mvd_autotrack_2on2

#### Description

Will be used if mvd_autotrack = 1 and a 2on2 game is played. Its an algorythm for selecting the best player.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: %a * %A + 50 * %W + %p + %f

Variable is string.

For a full description read the manual.

### mvd_autotrack_2on2_values

#### Description

Allows you to customize autotrack algoritm. See autotrack manual page for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1 2 3 2 3 5 8 8 1 2 3 500 900 10

Variable is string.

### mvd_autotrack_4on4

#### Description

Will be used if mvd_autotrack = 1 and a 4on4 game is played. Its an algorythm for selecting the best player.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: %a * %A + 50 * %W + %p + %f

Variable is string.

For a full description read the manual.

### mvd_autotrack_4on4_values

#### Description

Allows you to customize autotrack algoritm. See autotrack manual page for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1 2 4 2 4 6 10 10 1 2 3 500 900

Variable is string.

### mvd_autotrack_custom

#### Description

Will be used if mvd_autotrack = 2. Its an algorythm for selecting the best player.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: %a * %A + 50 * %W + %p + %f

Variable is string.

For a full description read the manual.

### mvd_autotrack_custom_values

#### Description

Allows you to customize autotrack algoritm. See autotrack manual page for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1 2 3 2 3 6 6 1 2 3 500 900 1000

Variable is string.

### mvd_autotrack_instant

#### Description

Makes mvd_autotrack always find the best player and switch to him instantly.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | player change will happen more often
0 | mvd_autotrack will work more like ktpro autotrack

In KTPro autotrack tracked player is changed only when some events happen. In instant mvd_autotrack tracked player is changed everytime a better player is found.

### mvd_autotrack_lockteam

#### Description

If set to 1, autotrack will keep switching POVs only from players within the same team.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | Autotrack will stay within one team.
0 | Autotrack will switch between all players.

### mvd_info

#### Description

When watching Multi View Demo (.mvd) you can show a table on the screen with full info about players' status.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | Turned ON
0 | Turned OFF

See mvd_info_setup for setting up displayed informations.

### mvd_info_setup

This variable has been updated

#### Description

You can change the informations contained in Players' info table. Use following strings in format string:

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: %p%n %l %h/%a %w

#### Values

value | description
%a | Armor
%f | Frags
%h | Health
%l | Location
%n | Nickname
%p | Powerups
%P | Ping
%v | Value (value calculated by mvd_autotrack)
%w | Best Weapon:ammo

Example: "%p %f %n %l %h" will display powerup, frags, nickname, location and health of each player. See scr_mvdinfo and scr_mvdinfo_setup description for more details.

### mvd_info_show_header

#### Description

Will show a line above the mvd_info table telling you wich column is armor/health/location etc.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | Turned ON
0 | Turn Off

### mvd_info_x

#### Description

You can adjust horizontal placement of Players' info table

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

See scr_mvdinfo and scr_mvdinfo_setup description for more details.

### mvd_info_y

#### Description

You can adjust vertical placement of Players' info table

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

See scr_mvdinfo and scr_mvdinfo_setup description for more details.

### mvd_moreinfo

#### Description

When playing MultiView Demo (MVD), you can turn on more messages printed in the console, like those you might know from moreinfo command in ktpro. E.g.: Nabbe picked up quad.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | On
0 | Off

### mvd_multitrack_1

#### Description

Will be used if mvd_autotrack = 3 and cl_multiview is enabled. Its an algorythm for selecting the best player on viewport 1

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: %f

Variable is string.

For a full description read the manual.

### mvd_multitrack_1_values

#### Description

Allows you to customize autotrack algoritm. See autotrack manual page for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1 2 3 2 3 5 8 8 1 2 3 0 0 0

Variable is string.

### mvd_multitrack_2

#### Description

Will be used if mvd_autotrack = 3 and cl_multiview is enabled. Its an algorythm for selecting the best player on viewport 2

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: %W

Variable is string.

For a full description read the manual.

### mvd_multitrack_2_values

#### Description

Allows you to customize autotrack algoritm. See autotrack manual page for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1 2 3 2 3 5 8 8 1 2 3 0 0 0

Variable is string.

### mvd_multitrack_3

#### Description

Will be used if mvd_autotrack = 3 and cl_multiview is enabled. Its an algorythm for selecting the best player on viewport 3

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: %h

Variable is string.

For a full description read the manual.

### mvd_multitrack_3_values

#### Description

Allows you to customize autotrack algoritm. See autotrack manual page for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1 2 3 2 3 5 8 8 1 2 3 0 0 0

Variable is string.

### mvd_multitrack_4

#### Description

Will be used if mvd_autotrack = 3 and cl_multiview is enabled. Its an algorythm for selecting the best player on viewport 4

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: %A

Variable is string.

For a full description read the manual.

### mvd_multitrack_4_values

#### Description

Allows you to customize autotrack algoritm. See autotrack manual page for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1 2 3 2 3 5 8 8 1 2 3 0 0 0

Variable is string.

### mvd_pc_pent_1

#### Description

Describes the position and viewing angles of the p1 cam. x y z rot_x rot_y

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1010 -300 150 13 135

Variable is string.

### mvd_pc_pent_2

#### Description

Describes the position and viewing angles of the p2 cam. x y z rot_x rot_y

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1010 -300 150 13 135

Variable is string.

### mvd_pc_pent_3

#### Description

Describes the position and viewing angles of the p3 cam. x y z rot_x rot_y

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1010 -300 150 13 135

Variable is string.

### mvd_pc_quad_1

#### Description

Describes the position and viewing angles of the q1 cam. x y z rot_x rot_y

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1010 -300 150 13 135

Variable is string.

### mvd_pc_quad_2

#### Description

Describes the position and viewing angles of the q2 cam. x y z rot_x rot_y

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 350 -20 157 34 360

Variable is string.

### mvd_pc_quad_3

#### Description

Describes the position and viewing angles of the q3 cam. x y z rot_x rot_y

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 595 360 130 17 360

Variable is string.

### mvd_pc_view_1

#### Description

Sets the powerup camera for viewport 1

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

#### Values

value | description
p1 | mvd_pc_pent_1
p2 | mvd_pc_pent_2
p3 | mvd_pc_pent_3
q1 | mvd_pc_quad_1
q2 | mvd_pc_quad_2
q3 | mvd_pc_quad_3

### mvd_pc_view_2

#### Description

Sets the powerup camera for viewport 2

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

#### Values

value | description
p1 | mvd_pc_pent_1
p2 | mvd_pc_pent_2
p3 | mvd_pc_pent_3
q1 | mvd_pc_quad_1
q2 | mvd_pc_quad_2
q3 | mvd_pc_quad_3

### mvd_pc_view_3

#### Description

Sets the powerup camera for viewport 3

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

#### Values

value | description
p1 | mvd_pc_pent_1
p2 | mvd_pc_pent_2
p3 | mvd_pc_pent_3
q1 | mvd_pc_quad_1
q2 | mvd_pc_quad_2
q3 | mvd_pc_quad_3

### mvd_pc_view_4

#### Description

Sets the powerup camera for viewport 4

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

#### Values

value | description
p1 | mvd_pc_pent_1
p2 | mvd_pc_pent_2
p3 | mvd_pc_pent_3
q1 | mvd_pc_quad_1
q2 | mvd_pc_quad_2
q3 | mvd_pc_quad_3

### mvd_powerup_cam

#### Description

Will enable powerupcams, cams will be enabled on every viewport 5 seconds before the powerup spawns.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | Turned ON
0 | Turn OFF

For setting up the viewports cams look at mvd_pc_view_1-4 and for setting the locations of the cams look at mvd_pc_quad_1-3 mvd_pc_pent_1-3

### mvd_status

#### Description

Shows information of the player you are currently tracking. Information includes. taken/dropped items and powerups last 3 runs (including the current one) run is from powerup-took/spawn to powerup-end/death

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | Turned ON
0 | Turned OFF

### mvd_status_x

#### Description

Adjusts the horizontal placement of mvd_status table

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### mvd_status_y

#### Description

Adjusts the vertical placement of mvd_status table

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### mvd_write_xml

#### Description

Enables dumping of XML stats from a MVD.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

#### Values

value | description
1 |
0 |

### qtv_adjustbuffer

#### Description

Enables balancing of the buffer lenght of the QTV stream. When turned on, the size of the stream buffer (the delay from the actual action) will be auto-adjusted (by changing the playback speed when necessary) so that it stays on the same level most of the time.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | Auto-adjust buffer size
0 | Do not adjust buffer size, always play at 100% speed

When turned on, the speed of the playback may change sometimes - that's how the buffer lenght is balanced. But usually you want to have this turned on when you are watching a shoutcast-commentated game because you want to stay synchronized with the commentary.

### qtv_adjusthighstart

#### Description

The level on which QTV buffer auto-adjusting will start. E.g. when set to 1.5, (and qtv_adjustbuffer is 1), QTV buffer auto-adjusting will start when buffer length reached 150% of it's normal length (determined by qtv_buffertime setting)

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.
Only values higher than 1.0 make sense

### qtv_adjustlowstart

#### Description

The bottom level on which QTV buffer auto-adjusting will start. E.g. when set to 0.5, (and qtv_adjustbuffer is 1), QTV buffer auto-adjusting will start when buffer length reached 50% of it's normal length (determined by qtv_buffertime setting)

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0.3

Variable is float.
Only values lower than 1.0 make sense

### qtv_adjustmaxspeed

#### Description

The fastest possible playback speed when QTV buffer becomes excessive and auto-adjusting starts. The higher the speed is, the faster the QTV buffer length will go down to normal levels.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 999

Variable is float.
Only values above 1.0 make sense

Works in conjunction with qtv_adjustbuffer 1

### qtv_adjustminspeed

#### Description

The slowest possible playback speed when QTV buffer adjusting takes action. The slower the speed is, the faster the QTV buffer will fill up.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.
0.5 means 50% of the normal playback speed

Not allowing to slow down enough, buffer level might still drop down to zero if there were longer network lag. This causes pausing during playback. Allowing to slow down too much is noticeable.

### qtv_buffertime

#### Description

Defines how much the client buffers from the QTV stream

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0.5

Variable is float.
in seconds, values below 0.2 are treated as 0.2

This determines the "delay" you will get from what is actually happening. For example if you want to synchronize shoutcast commentary with the QTV stream, this is the variable you need to change.

### qtv_chatprefix

#### Description

String that will be added at the beginning of all messages send to a QTV chat.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: $[{QTV}$]

Variable is string.

### qtv_event_changename

#### Description

Text pattern used when an user changes his name on a QTV stream

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: &cFF0changed&r name to

Variable is string.

### qtv_event_join

#### Description

Text pattern used when an user joins a QTV stream

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: &c2F2joined&r

Variable is string.

### qtv_event_leave

#### Description

Text pattern used when an user leaves a QTV stream

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: &cF22left&r

Variable is string.

### qtv_gamechatprefix

#### Description

String that will be added at the beginning of all messages send from QTV to the server where the broadcasted game is being played.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: $[{QTV>game}$]

Variable is string.

Last update: 09.11.2005 02:15 PST, made by JohnNy_cz | ezQDocs